#include <bits/stdc++.h>
using namespace std;
int main(){
ios_base::sync_with_stdio(false) ;
	cin.tie(0);
	cout.tie(0);
	
int N,K;
cin>>N>>K;
int i=0;
int a[200011];
for(i=0;i<N;i++)
{
	cin>>a[i];
}
if(N<=10)
cout<<5;
else if(N==K)
     cout<<3;
     else cout<<69;
	
return 0;	
}